markup.push({

	"Colors": {

		// IronBeetle colors

		"primary.lightMode": "rgba:29,35,35,100",
		"secondary.lightMode": "gray: 51, 100",
        "tertiary.lightMode": "rgba:180,180,180,100",
        "disabled.lightMode": "rgba:217,219,219,100",

        "primary.darkMode": "gray:255,100",
        "secondary.darkMode": "gray:200,100",
        "tertiary.darkMode": "gray:170,100",
        "disabled.darkMode": "gray:129,100",

        "secondaryBluish.lightMode": "gray:129,100",//color(hue:195, sat:12, bright:70, a:100),
        "secondaryBluish.darkMode": "gray:129,100",

        "lcdDisabled.lightMode": "gray:129,100",
        "lcdDisabled.darkMode": "gray:129,100",

		"hiliteActive.lightMode": "rgba:114,52,220,100",
        "hiliteActive.darkMode": "rgba:170,133,234,100",

        "hiliteLCD": "rgba:170,133,234,100",

        "tileTintDisabled.lightMode.noneTile": "gray:255,100",
        "tileTintDisabled.darkMode.noneTile": "gray:75,100",

        "setsListBackground.lightMode": "rgba:236,236,236,100",
        "setsListBackground.lightMode.selected": "gray:129,100",
        "setsListBackground.lightMode.selected.focused": "rgba:114,52,220,100",

        "setsListBackground.darkMode": "gray:75,100",
        "setsListBackground.darkMode.selected": "gray:180,100",
        "setsListBackground.darkMode.selected.focused": "rgba:164,133,228,100",

        "setsListText.lightMode": "gray:0,100",
        "setsListText.lightMode.selected": "gray:255,100",

        "setsListText.darkMode": "gray:230,100",
        "setsListText.darkMode.selected": "gray:44,100",

		"pillTextDisabled.lightMode": "gray:110,100",
		"pillTextDisabled.lightMode.selected": "gray:236,100",
		"pillTextDisabled.darkMode": "gray:190,100",
		"pillTextDisabled.darkMode.selected": "gray:60,100",

		"pillBackgroundDisabled.lightMode": "gray:180,70",
		"pillBackgroundDisabled.lightMode.selected": "gray:180,70",
		"pillBackgroundDisabled.lightMode.selected.focused": "gray:210,70",
		"pillBackgroundDisabled.darkMode": "gray:136,70",
		"pillBackgroundDisabled.darkMode.selected": "gray:136,70",
		"pillBackgroundDisabled.darkMode.selected.focused": "gray:100,70",

		"pillTextDisabledTile.lightMode": "gray:110,100",
		"pillTextDisabledTile.darkMode": "gray:190,100",
		"pillBackgroundDisabledTile.lightMode": "gray:180,70",
		"pillBackgroundDisabledTile.darkMode": "gray:136,70",

		"setsListPillDisabled.lightMode": "gray:180,70",
		"setsListPillDisabled.darkMode": "gray:136,70",

        "setsListBorder.lightMode": "gray:220,100",
        "setsListBorder.darkMode": "gray:40,100",

		"alert": "rgba:235,78,41,100",

		"background.lightMode": "rgba:230,230,230,100",
		"background.darkMode": "gray:75,100",

        "backgroundAlt.lightMode": "rgba:247,247,247,100",
		"backgroundAlt.darkMode": "gray:75,100",

        "backgroundTile.lightMode": "gray:255,100",
        "backgroundTile.darkMode": "gray:75,100",
			
		"backgroundTile.disabled.disabled": "gray:255,100",
		"backgroundTile.darkMode.disabled": "gray:55,100",

        "boardBackground.lightMode": "rgba:242,242,242,100",
        "boardBackground.darkMode": "gray:44,100",
			
		"boardBackgroundAlpha50.lightMode": "rgba:242,242,242,50",
        "boardBackgroundAlpha50.darkMode": "gray:44,50",

        "panelBackground.lightMode": "rgba:255,255,255,100",
        "panelBackground.darkMode": "gray:75,100",

        "panelBorder.lightMode": "gray:220,100",
        "panelBorder.darkMode": "gray:40,100",

		"dividerColor.lightMode": "gray:230,100",
        "dividerColor.darkMode": "gray:51,100",
			
		"panelDividerColor.lightMode": "gray:210,100",
        "panelDividerColor.darkMode": "gray:20,100",

		"toolbarTop": "rgba:236,236,236,100",
		"toolbarBottom": "rgba:211,211,211,100",
		"toolbarBorder": "rgba:204,204,204,100",

        "toolbarTop.darkMode": "gray:100,100",
        "toolbarBottom.darkMode": "gray:60,100",
        "toolbarBorder.darkMode": "gray:50,100",

		"toolbarButton.lightMode": "gray:255,100",
        "toolbarButton.lightMode.pressed": "rgba:52,57,57,100",

        "toolbarButton.toggle.lightMode": "gray:255,100",
        "toolbarButton.toggle.lightMode.pressed": "rgba:52,57,57,100",
        "toolbarButton.toggle.lightMode.on": "rgba:52,57,57,100",

        "toolbarButton.darkMode": "gray:44,100",
        "toolbarButton.darkMode.pressed": "rgba:170,133,234,100",

        "toolbarButton.toggle.darkMode": "gray:44,100",
        "toolbarButton.toggle.darkMode.pressed": "rgba:170,133,234,100",
        "toolbarButton.toggle.darkMode.on": "rgba:170,133,234,100",

        "lcdTop.lightMode": "gray:74,100",
        "lcdBottom.lightMode": "gray:46,100",
        "lcdBorder.lightMode": "gray:46,100",
        "lcdHilite.lightMode": "gray:95,100",
        "lcdTop.darkMode": "gray:54,100",
        "lcdBottom.darkMode": "gray:28,100",
        "lcdBorder.darkMode": "gray:38,100",
        "lcdHilite.darkMode": "gray:85,100",

        "sliderTrack.lightMode": "rgba:217,219,219,100",
        "sliderTrack.darkMode": "gray:44,100",

        "masterSliderTrack.lightMode": "rgba:217,219,219,100",
        "masterSliderTrack.darkMode": "gray:136,100",

		"draggableFrame": "rgba:0,0,0,15",
		"draggableFill": "rgba:255,255,255,100",

        "dropTileOutline": "rgba:164,137,228,100",
			
		"resetListButtonFill.lightMode" : "rgba:255,255,255,100",
		"resetListButtonFill.darkMode" : "rgba:90,90,90,100",
		
		"resetListButtonFill.lightMode.pressed" : "rgba:215,215,215,100",
		"resetListButtonFill.darkMode.pressed" : "rgba:65,65,65,100",
			
		"tileDisabledOverlay.lightMode" : "gray:255,50",
		"tileDisabledOverlay.darkMode" : "gray:75,50",
			 
        "backgroundBubble": "gray:95,100",
			 

		// shortcuts

		"black": "gray:0,100",
		"white": "gray:255,100",
		"muted": "rgba:255,60,60,100",
        "invisible": "gray:0,0", 
        "trialFill": {
            // these are 10 colors, mostly repeated to make 20 total.
            // the last color is a bigger jump to red and is not duped.
            "0": "rgba:172, 131, 242, 100",
            "1": "rgba:172, 131, 242, 100",
            "2": "rgba:172, 131, 242, 100",
            "3": "rgba:172, 131, 242, 100",
            "4": "rgba:174, 127, 232, 100",
            "5": "rgba:174, 127, 232, 100",
            "6": "rgba:176, 124, 223, 100",
            "7": "rgba:176, 124, 223, 100",
            "8": "rgba:179, 121, 213, 100",
            "9": "rgba:179, 121, 213, 100",
            "10": "rgba:181, 117, 204, 100",
            "11": "rgba:181, 117, 204, 100",
            "12": "rgba:183, 114, 194, 100",
            "13": "rgba:183, 114, 194, 100",
            "14": "rgba:186, 111, 184, 100",
            "15": "rgba:186, 111, 184, 100",
            "16": "rgba:188, 107, 175, 100",
            "17": "rgba:188, 107, 175, 100",
            "18": "rgba:196, 97, 147, 100",
            "19": "rgba:196, 97, 147, 100",
            "20": "rgba:220, 65, 52, 100",
        },
	},

});
